<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	version="1.0">

<xsl:variable name="tipoDocumento" select="/factura/elegirDocumento/elegirDocumento_rec/TIPODOCUMENTO"/>
											
<xsl:template match="factura">
	
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">	
		
		<fo:layout-master-set>
    		<fo:simple-page-master master-name="all" 
				page-height="297mm" page-width="210mm" 
				margin-top="10mm" margin-bottom="10mm" 
				margin-left="15mm" margin-right="15mm">
			
				<fo:region-body margin-top="45mm" margin-bottom="30mm"/>
				<fo:region-before extent="30mm"/>
				<fo:region-after extent="30mm"/>
			
			</fo:simple-page-master>
		</fo:layout-master-set>
		
		<fo:page-sequence master-reference="all">
			
			<fo:static-content flow-name="xsl-region-before">
 				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">
 					<!--<xsl:apply-templates select="cabecera_instalador/cabecera_instalador_rec"/>-->
 				</fo:block>
			</fo:static-content>
			
			 <fo:static-content flow-name="xsl-region-after">
    				
    				<fo:block space-after.optimum="5pt"></fo:block>
      				<fo:block>
      				<fo:retrieve-marker retrieve-class-name="footer-last"
                 			retrieve-boundary="page"
                 			retrieve-position="last-ending-within-page" />
    				</fo:block>
    				
    				<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Factura: <xsl:apply-templates select="informe/informe_rec/NUMEROFACTURA"/>
					___
					Página: <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      				</fo:block>
  			</fo:static-content>
		
	    		
  			<fo:flow flow-name="xsl-region-body">
  			
  				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
  					margin-left="1mm"  margin-right="1mm">
  					
  					<!--
					LINEA DE SEPARACION
					-->
					<!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
				 	
					<fo:block space-after.optimum="10pt"></fo:block>
  					-->
  					<xsl:apply-templates select="informe/informe_rec"/>
  					
  					<fo:block space-after.optimum="10pt"></fo:block> 				
  					<xsl:apply-templates select="elegirDocumento/elegirDocumento_rec"/>
  					
  					
  					
  					<fo:block space-after.optimum="50pt"></fo:block>
  					
  					
  					

  					
  					
  					
  					<!-- identificador ultima pagina -->
					<fo:block id = "lastBlock">
   					</fo:block>
  					
  					
  					<!-- identificador ultima pagina -->
				
  					 				
  				</fo:block>
  				 <!-- put the following *only* after the last fo:block -->
  				<fo:block>
  				<fo:marker marker-class-name="footer-last">
    				<fo:block font-family="sans-serif" font-weight="normal" font-style="italic" font-size="10pt" margin-left="2mm">
				<xsl:variable name="tipoDocumento" select="/factura/elegirDocumento/elegirDocumento_rec/TIPODOCUMENTO"/>
				<xsl:if test="$tipoDocumento = 1"> 							
 					<xsl:apply-templates select="/factura/totalPresupuesto/totalPresupuesto_rec"/> 				
 				</xsl:if>	
 				<xsl:if test="$tipoDocumento = 2"> 							
 					<xsl:apply-templates select="/factura/totalParte/totalParte_rec"/> 		
			 	</xsl:if> 
 				<xsl:if test="$tipoDocumento = 3"> 							
 					<xsl:apply-templates select="/factura/totalIntervencion/totalIntervencion_rec"/> 		
 				</xsl:if>
 				<xsl:if test="$tipoDocumento = 5"> 							
 	 				<xsl:apply-templates select="/factura/totalContrato/totalContrato_rec"/>
 				</xsl:if>
 				<xsl:if test="$tipoDocumento = 6"> 							
 	 				<xsl:apply-templates select="/factura/totalFacturaRectificativa/totalFacturaRectificativa_rec"/>
 				</xsl:if>
 				</fo:block>
<!-- FORMAS DE PAGO -->
				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">  					 				
  					<fo:inline font-size="bold">Forma de Pago:</fo:inline>

					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 	<fo:table-column column-width="15mm"/>
				 	<fo:table-column column-width="40mm"/>
					<fo:table-column column-width="50mm"/> 		
					<fo:table-body font-weight="normal"> 
						<fo:table-row>  		
							<fo:table-cell border-style="solid" border-width="0pt" border-color="black" 						
								border-bottom-width="0pt">	
							</fo:table-cell>
														
							<!-- FORMA PAGO -->
							<fo:table-cell border-style="solid" border-width="0pt" border-color="black" 
								border-bottom-width="0pt">	
								<fo:block text-align="justify">
									<xsl:variable name="tipoPago" select="/factura/elegirFormaPago/elegirFormaPago_rec/FORMAPAGO"/>
									<xsl:choose>
									        <xsl:when test="$tipoPago = -1">
											Domiciliación Bancaria 							
	 									</xsl:when>
									        <xsl:when  test="$tipoPago = -2"> 
	 										Cheque							
	 									</xsl:when>
									        <xsl:when test="$tipoPago = -3">
	 										En efectivo 							
	 									</xsl:when>
									        <xsl:when test="$tipoPago = -4">
	 										Transferencia Bancaria 							
	 									</xsl:when>
	 									<xsl:otherwise>
	 										<xsl:variable name="descripcion" select="/factura/elegirFormaPago/elegirFormaPago_rec/DESCRIPCION"/>
										        <xsl:if test="string-length($descripcion) = 0"> 
		 											<fo:block space-after.optimum="10pt"></fo:block> 							
		 									</xsl:if>
										        <xsl:if test="string-length($descripcion) > 0"> 
		 										<xsl:apply-templates select="/factura/elegirFormaPago/elegirFormaPago_rec/DESCRIPCION"/>
		 	 								</xsl:if>
	 	 								</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell border-style="solid" border-width="0pt" border-color="black" 						
							border-bottom-width="0pt">
								<fo:block text-align="justify">
									<xsl:variable name="tipoPago" select="/factura/elegirFormaPago/elegirFormaPago_rec/FORMAPAGO"/>
									<xsl:if test="$tipoPago = -1">
										<!--Domiciliación Bancaria -->
										<xsl:variable name="ficha" select="/factura/informe/informe_rec/FICHADF"/>	
   										<xsl:if test="$ficha = '0'">
											<!-- LOPD, ocultación de la cuenta del cliente -->
											<xsl:variable name="cuenta" select="/factura/informe/informe_rec/CUENTACORRIENTE"/>
											<xsl:if test="string-length($cuenta) > 0"> 
												<xsl:value-of select="substring($cuenta,1,19)"/>
												****
											</xsl:if>
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<!-- LOPD, ocultación de la cuenta del cliente -->
											<xsl:variable name="cuenta" select="/factura/informe/informe_rec/CUENTACORRIENTE_2"/>
											<xsl:if test="string-length($cuenta) > 0"> 
												<xsl:value-of select="substring($cuenta,1,19)"/>
												****
											</xsl:if>
										</xsl:if>																	
 									</xsl:if>	
 									<xsl:if test="$tipoPago = -2"> 
 										<!--CHEQUE 			-->
 									</xsl:if> 
 									<xsl:if test="$tipoPago = -3">
 										<!-- CONTADO 			-->
									</xsl:if>
 									<xsl:if test="$tipoPago = -4">
 										<!--Transferencia Bancaria 	-->
 										<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
				   						<xsl:if test="$uidOperador = '******'">
											<xsl:variable name="ficha" select="/factura/cabecera_instalador/cabecera_instalador_rec/FICHADF"/>	
											<xsl:if test="$ficha = '0'">
												<xsl:apply-templates select="/factura/cabecera_instalador/cabecera_instalador_rec/CUENTACORRIENTE"/>
											</xsl:if>
											<xsl:if test="$ficha = '1'">
												<xsl:apply-templates select="/factura/cabecera_instalador/cabecera_instalador_rec/CUENTACORRIENTE_2"/>
											</xsl:if>
										</xsl:if>
										<xsl:if test="$uidOperador != '******'">
											<xsl:variable name="ficha" select="/factura/cabecera_instalador/cabecera_instalador_rec/FICHADF"/>	
											<xsl:if test="$ficha = '0'">
												<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CUENTACORRIENTE"/>
											</xsl:if>
											<xsl:if test="$ficha = '1'">
												<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CUENTACORRIENTE_2"/>
											</xsl:if>
										</xsl:if>						
									</xsl:if>
								</fo:block>
							</fo:table-cell>	
						</fo:table-row>
					</fo:table-body>
					</fo:table>
				</fo:block>
  				</fo:marker>
  				</fo:block>
			</fo:flow>
		
		</fo:page-sequence>
	</fo:root>
</xsl:template>

<!--	formateo decimal	-->
<xsl:decimal-format name="euro"
	decimal-separator="," grouping-separator="."/>

<!--	BODY -->
<xsl:template match="cabecera_instalador_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="110mm"/>
 		 			
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black"
   				margin-top="5mm" margin-bottom="5mm">
					<fo:block text-align="center">
						<xsl:variable name="logo" select="LOGO"/>  							    						
						<fo:external-graphic src="{$logo}"/>					
					</fo:block>	
   			</fo:table-cell>
   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<xsl:variable name="varT" select="NOMBRERAZON"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start" font-size="14pt">  					
							<xsl:apply-templates select="NOMBRERAZON"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="NIFCIF"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>C.I.F/N.I.F.: </fo:inline>
							<xsl:apply-templates select="NIFCIF"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="ficha" select="FICHADP"/>	
					<xsl:if test="$ficha = '0'">
						<xsl:variable name="varT" select="CALLE"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION"/>
							
								<xsl:variable name="var1" select="POBLACION"/>
								<xsl:variable name="var2" select="PROVINCIA"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					<xsl:if test="$ficha = '1'">
						<xsl:variable name="varT" select="CALLE_2"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE_2"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL_2"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL_2"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION_2"/>
							
								<xsl:variable name="var1" select="POBLACION_2"/>
								<xsl:variable name="var2" select="PROVINCIA_2"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA_2"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					
					<xsl:variable name="varT" select="TELEFONO1"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Teléfono: </fo:inline>
							<xsl:apply-templates select="TELEFONO1"/>
							<fo:inline> Fax: </fo:inline>
							<xsl:apply-templates select="FAX"/>
						</fo:block>
					</xsl:if>
										
					<xsl:variable name="varT" select="EMAIL1"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="EMAIL1"/>
							<fo:inline> - </fo:inline>
							<xsl:apply-templates select="PAGINAWEB"/>
						</fo:block>
					</xsl:if>
					
   				<xsl:variable name="varT" select="REGISTRO"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Nº Registro Empresa Instaladora de Telecomunicación: </fo:inline>
							<xsl:apply-templates select="REGISTRO"/>
						</fo:block>
					</xsl:if>
   				
   			</fo:table-cell>
   			
   		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<xsl:template match="informe_rec">

	<!-- TABLA CLIENTE Y FACTURA -->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="95mm"/>
 		<fo:table-column column-width="2mm"/>
 		<fo:table-column column-width="83mm"/>
 
 		<fo:table-body font-weight="normal"> 
 		
  			<!-- CABECERA -->	
			<fo:table-row>  			 			   			
			
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   
					<xsl:if test="$tipoDocumento = '6'">
					<fo:block text-align="start" margin-left="2mm">
						<fo:inline font-weight="bold">FACTURA RECTIFICATIVA</fo:inline> 
					</fo:block>					
					</xsl:if>
					<xsl:if test="$tipoDocumento != '6'">
						<fo:block text-align="start" margin-left="2mm">
							<fo:inline font-weight="bold">FACTURA</fo:inline> 
						</fo:block>					
					</xsl:if>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   						<xsl:if test="$uidOperador = '******'">
							<fo:block text-align="start">
								<fo:inline font-weight="bold">CLIENTE</fo:inline> 
							</fo:block>					
						</xsl:if>
   						<xsl:if test="$uidOperador != '******'">
							<fo:block text-align="start">
								<fo:inline font-weight="bold">OPERADOR</fo:inline> 
							</fo:block>					
						</xsl:if>
				</fo:table-cell>
				

				

			</fo:table-row>
			  			 			   		
			<!-- DATOS -->		   				
			<fo:table-row>

				<!-- DATOS FACTURA -->   			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="35mm"/>
 						<fo:table-column column-width="44mm"/>
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Factura:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="NUMEROFACTURA"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Factura:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAFACTURA"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Vencimiento:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:block text-align="start">
										<xsl:variable name="fechaV" select="FECHAPREVISTACOBRO"/>   							    						
										<xsl:if test="$fechaV > 0"> 
											<xsl:value-of select="substring($fechaV,7,2)"/> / <xsl:value-of select="substring($fechaV,5,2)"/>	/ <xsl:value-of select="substring($fechaV,1,4)"/>
										</xsl:if>
									</fo:block>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">	
										<fo:inline>C.I.F./N.I.F. </fo:inline> 
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">				
										<xsl:apply-templates select="NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">	

										<xsl:if test="$tipoDocumento = 1"> 							
											<fo:inline>Presupuesto Nº: </fo:inline>
										</xsl:if>
										<xsl:if test="$tipoDocumento = 2"> 							
										      	<fo:inline>Parte Trabajo Nº: </fo:inline>
										</xsl:if>
										<xsl:if test="$tipoDocumento = 3"> 							
										      	<fo:inline>Intervención Nº: </fo:inline>
										</xsl:if>
										<xsl:if test="$tipoDocumento = 5"> 							
										      	<fo:inline>Contrato Mantenimiento:</fo:inline>
									   	</xsl:if>
										<xsl:if test="$tipoDocumento = 6"> 							
										      	<fo:inline>Factura:</fo:inline>
									   	</xsl:if>

									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify" font-weight="bold">
										<xsl:if test="$tipoDocumento = 1"> 							
											<xsl:apply-templates select="/factura/presupuestos_numero/presupuestos_numero_rec"/>
										</xsl:if>
										<xsl:if test="$tipoDocumento = 2"> 							
										     	<xsl:apply-templates select="/factura/partesTrabajo_numero/partesTrabajo_numero_rec"/>
										</xsl:if>
										<xsl:if test="$tipoDocumento = 3"> 							
										      	<xsl:apply-templates select="/factura/intervenciones_numero/intervenciones_numero_rec"/>
										      	<!--<xsl:for-each select="/factura/intervenciones_numero/intervenciones_numero_rec/NUMERODOCUMENTO">
										      		<xsl:value-of select="/factura/intervenciones_numero/intervenciones_numero_rec/NUMERODOCUMENTO"/>&#160;
										      	</xsl:for-each>-->
										</xsl:if>
										<xsl:if test="$tipoDocumento = 5"> 							
										      	<xsl:apply-templates select="/factura/totalContrato/totalContrato_rec/NUMEROCONTRATO"/>
									   	</xsl:if>
										<xsl:if test="$tipoDocumento = 6"> 							
										      	<xsl:apply-templates select="/factura/totalFacturaRectificativa/totalFacturaRectificativa_rec/NUMEROFACTURA"/>
									   	</xsl:if>

									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>	
   				</fo:table-cell>

				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
				<!-- DATOS CLIENTE -->			
				<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
 			 	<xsl:if test="$uidOperador = '******'">		
				<fo:table-cell border-style="solid" border-left-width="0pt" 
									border-right-width="0pt" border-top-width="0pt" border-bottom-width="0pt" 
									border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="99mm"/>
 						<!--<fo:table-column column-width="70mm"/>-->
 						
 						<fo:table-body>
 							<fo:table-row border-style="solid" border-width="0pt">					
								<!--
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Nombre </fo:inline> 
										</fo:block>
								</fo:table-cell>-->
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:apply-templates select="NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
<!--							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">	
											<fo:inline>C.I.F./N.I.F. </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">				
										<xsl:apply-templates select="NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
-->															
							<fo:table-row>					
								<!--<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Dirección </fo:inline> 
										</fo:block>
								</fo:table-cell>-->
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CALLE"/> 
											<xsl:variable name="varTemp" select="POLIGONO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CALLE_2"/>	
											<xsl:variable name="varTemp" select="POLIGONO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
										</xsl:if>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<!--<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline>Población </fo:inline> 
										</fo:block>				
								</fo:table-cell>-->
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   																	
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CODIGOPOSTAL"/>
											 - <xsl:apply-templates select="POBLACION"/>
											<xsl:variable name="var1" select="POBLACION"/>
											<xsl:variable name="var2" select="PROVINCIA"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:block>
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA"/>
												<fo:inline>)</fo:inline>
												</fo:block>
			   								</xsl:if>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CODIGOPOSTAL_2"/>
											- <xsl:apply-templates select="POBLACION_2"/>
											<xsl:variable name="var1" select="POBLACION_2"/>
											<xsl:variable name="var2" select="PROVINCIA_2"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:block>
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA_2"/>
												<fo:inline>)</fo:inline>
												</fo:block>
			   								</xsl:if>
										</xsl:if>

									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					
<!--					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						
 						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Tlf. </fo:inline>
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<xsl:apply-templates select="TELEFONO"/> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Contacto </fo:inline>						   												
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="TELEFONO1"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
								
						</fo:table-body>
					</fo:table> -->
				</fo:table-cell>
				</xsl:if>

				<!-- DATOS OPERADOR -->			
				<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
 			 	<xsl:if test="$uidOperador != '******'">		
				<fo:table-cell border-style="solid" border-left-width="0pt" 
									border-right-width="0pt" border-top-width="0pt" border-bottom-width="0pt" 
									border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="70mm"/>
 						
 						<fo:table-body>
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Nombre </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">	
											<fo:inline>C.I.F./N.I.F. </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Dirección </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CALLE"/>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CALLE_2"/>	
										</xsl:if>						   												
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline>Población </fo:inline> 
										</fo:block>				
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">		
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/POBLACION"/>
											<xsl:variable name="var1" select="/factura/informeOperador/informeOperador_rec/POBLACION"/>
											<xsl:variable name="var2" select="/factura/informeOperador/informeOperador_rec/PROVINCIA"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/PROVINCIA"/>
												<fo:inline>)</fo:inline>
			   								</xsl:if>
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/POBLACION_2"/>
											<xsl:variable name="var1" select="/factura/informeOperador/informeOperador_rec/POBLACION_2"/>
											<xsl:variable name="var2" select="/factura/informeOperador/informeOperador_rec/PROVINCIA_2"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/PROVINCIA_2"/>
												<fo:inline>)</fo:inline>
			   								</xsl:if>
										</xsl:if>
										
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
				
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Código Postal </fo:inline> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CODIGOPOSTAL"/>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/CODIGOPOSTAL_2"/>	
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						
 						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Tlf. </fo:inline>
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/TELEFONO"/> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Contacto </fo:inline>						   												
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="/factura/informeOperador/informeOperador_rec/TELEFONO1"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
								
						</fo:table-body>
					</fo:table>
				</fo:table-cell>
				</xsl:if>				
				

   			
    		</fo:table-row>
    	</fo:table-body>
   </fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
  	<!--
	LINEA DE SEPARACION
	-->
	<!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
		<fo:table-column column-width="180mm"/>
		<fo:table-body>
			<fo:table-row>  			 			
	  			<fo:table-cell font-size="1pt" 
					border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">		
					</fo:block>	
	  			</fo:table-cell>   				
	  		</fo:table-row>
		</fo:table-body>
	</fo:table>
 	 	
 	<fo:block space-after.optimum="10pt"></fo:block>-->
 	
 	<!-- TABLA CONCEPTO -->		
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="180mm"/>
 		
 		<fo:table-body font-weight="normal"> 
 		
  			<fo:table-row>  			 			   			
  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:block space-after.optimum="10pt"></fo:block> 				
						<fo:inline font-weight="bold">CONCEPTO</fo:inline> 
					</fo:block>					
				</fo:table-cell>
			</fo:table-row>
			  			 			   				   				
			<fo:table-row>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">					
					<fo:block text-align="start">						   											
						<xsl:apply-templates select="CONCEPTO"/>
					</fo:block>										
				</fo:table-cell>
			</fo:table-row>
	 	</fo:table-body>
 	</fo:table>
 	
</xsl:template>

<!-- NUMEROS DE DOCUMENTOS -->
<xsl:template match="presupuestos_numero_rec">
	<xsl:apply-templates select="NUMERODOCUMENTO"/>&#160;
</xsl:template>

<xsl:template match="intervenciones_numero_rec">
	<xsl:apply-templates select="NUMERODOCUMENTO"/>&#160;
</xsl:template>

<xsl:template match="partesTrabajo_numero_rec">
	<xsl:apply-templates select="NUMERODOCUMENTO"/>&#160;
</xsl:template>

<xsl:template match="elegirDocumento_rec">
	<xsl:variable name="tipoDocumento" select="TIPODOCUMENTO"/>
	
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
		<fo:table-column column-width="20mm"/> <!-- referencia -->
 		<fo:table-column column-width="80mm"/>
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="25mm"/>
 		
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:if test="$tipoDocumento = 1"> 							
	 		<xsl:variable name="sum" select="sum(/factura/presupuestos_detalle/presupuestos_detalle_rec/DESCUENTO)" />
			<xsl:if test="$sum > 0">
				<fo:table-column column-width="15mm"/>
				<!--<fo:table-column column-width="15mm"/>-->
	 			<fo:table-column column-width="25mm"/>
	 		</xsl:if>
			<xsl:if test="$sum = 0">
				<!--<fo:table-column column-width="15mm"/>-->
				<fo:table-column column-width="40mm"/>
			</xsl:if>
 		</xsl:if>
 		
 		<xsl:if test="$tipoDocumento = 2"> 							
	 		<xsl:variable name="sum" select="sum(/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec/DESCUENTO)" />
			<xsl:if test="$sum > 0">
				<fo:table-column column-width="15mm"/>
				<!--<fo:table-column column-width="15mm"/>-->
	 			<fo:table-column column-width="25mm"/>
	 		</xsl:if>
			<xsl:if test="$sum = 0">
				<!--<fo:table-column column-width="15mm"/>-->
				<fo:table-column column-width="40mm"/>
			</xsl:if>
 		</xsl:if>
 		
 		<xsl:if test="$tipoDocumento = 3"> 							
	 		<xsl:variable name="sum" select="sum(/factura/intervenciones_detalle/intervenciones_detalle_rec/DESCUENTO)" />
			<xsl:if test="$sum > 0">
				<fo:table-column column-width="15mm"/>
				<!--<fo:table-column column-width="15mm"/>-->
	 			<fo:table-column column-width="25mm"/>
	 		</xsl:if>
			<xsl:if test="$sum = 0">
				<!--<fo:table-column column-width="15mm"/>-->
				<fo:table-column column-width="40mm"/>
			</xsl:if>
 		</xsl:if>
 		
 		<xsl:if test="$tipoDocumento = 5"> 	
 			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="15mm"/>
	 		<fo:table-column column-width="25mm"/>						
 		</xsl:if>

 		<xsl:if test="$tipoDocumento = 6"> 	
 			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="15mm"/>
	 		<fo:table-column column-width="25mm"/>						
 		</xsl:if>
 		
 		<xsl:variable name="tipoDocumentoA" select="/factura/elegirDocumento/elegirDocumento_rec/TIPODOCUMENTO"/>
 		<xsl:if test="$tipoDocumentoA != 6">
 		<xsl:if test="$tipoDocumentoA != 5">
 		<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   			<xsl:if test="$uidOperador = '******'">

 		<fo:table-body font-weight="bold" font-style="italic" start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">
  				
  			<fo:table-row>  
  			  	<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						Código 			
					</fo:block>
   				</fo:table-cell>			 			
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						Descripción
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						Uds. 			
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						P. Unitario €
					</fo:block>
   				</fo:table-cell>
   				
   				<!-- Descuento solo si hay Descuentos VALIDOS	-->
   				<xsl:if test="$tipoDocumento = 1"> 							
	 					<xsl:variable name="sum" select="sum(/factura/presupuestos_detalle/presupuestos_detalle_rec/DESCUENTO)" />
						<xsl:if test="$sum > 0">
							<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">						   					
									Dte. 			
								</fo:block>
   						</fo:table-cell>
						</xsl:if>
	 				</xsl:if>
 		
 					<xsl:if test="$tipoDocumento = 2"> 							
	 					<xsl:variable name="sum" select="sum(/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec/DESCUENTO)" />
						<xsl:if test="$sum > 0">
							<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">						   					
									Dte. 			
								</fo:block>
   						</fo:table-cell>
						</xsl:if>
 					</xsl:if>
 		
 					<xsl:if test="$tipoDocumento = 3"> 							
	 					<xsl:variable name="sum" select="sum(/factura/intervenciones_detalle/intervenciones_detalle_rec/DESCUENTO)" />
						<xsl:if test="$sum > 0">
							<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">						   					
									Dte. 			
								</fo:block>
   						</fo:table-cell>
						</xsl:if>
 					</xsl:if>

 					<xsl:if test="$tipoDocumento = 5"> 							
 					</xsl:if>
 					
 					<xsl:if test="$tipoDocumento = 6"> 							
 					</xsl:if>

 					   				
   				<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">						   					
						IVA 			
					</fo:block>
   				</fo:table-cell>-->
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						Importe €		
					</fo:block>
   				</fo:table-cell>   					
			</fo:table-row>
 		</fo:table-body>
 		</xsl:if>
 		</xsl:if>
 		</xsl:if>
 	</fo:table>
 	
 	
 	
 	<xsl:if test="$tipoDocumento = 1"> 							
 		<xsl:apply-templates select="/factura/presupuestos_detalle/presupuestos_detalle_rec"/> 				
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 2"> 							
 		<xsl:apply-templates select="/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec"/> 				
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 3"> 							
 		<xsl:apply-templates select="/factura/intervenciones_detalle/intervenciones_detalle_rec"/> 				
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 5"> 							
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 6"> 							
 	</xsl:if>
 	
	
	<!--<xsl:if test="$tipoDocumento = 1"> 							
 		<xsl:apply-templates select="/factura/totalPresupuesto/totalPresupuesto_rec"/> 				
 	</xsl:if>	
 	<xsl:if test="$tipoDocumento = 2"> 							
 		<xsl:apply-templates select="/factura/totalParte/totalParte_rec"/> 		
 	</xsl:if> 
 	<xsl:if test="$tipoDocumento = 3"> 							
 		<xsl:apply-templates select="/factura/totalIntervencion/totalIntervencion_rec"/> 		
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 5"> 							
 	 	<xsl:apply-templates select="/factura/totalContrato/totalContrato_rec"/>
 	</xsl:if>
 	<xsl:if test="$tipoDocumento = 6"> 							
 	 	<xsl:apply-templates select="/factura/totalFacturaRectificativa/totalFacturaRectificativa_rec"/>
 	</xsl:if>-->
 	
</xsl:template>

<xsl:template match="presupuestos_detalle_rec">

<!--	<xsl:if test="not(NUMERODOCUMENTO = preceding::presupuestos_detalle_rec/NUMERODOCUMENTO)">
      <fo:block text-align="start" font-weight="bold">
      	<fo:inline>Presupuesto Nº </fo:inline>
			<xsl:apply-templates select="NUMERODOCUMENTO"/>
		</fo:block>
   </xsl:if> -->

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
		<fo:table-column column-width="20mm"/>
 		<fo:table-column column-width="80mm"/>
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/factura/presupuestos_detalle/presupuestos_detalle_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<!--<fo:table-column column-width="15mm"/>-->
 			<fo:table-column column-width="25mm"/>
 		</xsl:if>
		<xsl:if test="$sum = 0">
			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="40mm"/>
		</xsl:if>
  			
  		<fo:table-body start-indent="2pt"
  			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
  			<fo:table-row>  			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">						   					
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   				</fo:table-cell>
   				  			 			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	
					<fo:block text-align="start">						   					
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   				</fo:table-cell>
   				
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   				</fo:table-cell>
   				
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<fo:block text-align="end">
							<xsl:variable name="varZ" select="PVP"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>						   					
						</fo:block>
					</fo:block>
   				</fo:table-cell>
   				
   				<!-- Descuento solo si hay Descuentos VALIDOS	-->
   				<xsl:variable name="sum" select="sum(/factura/presupuestos_detalle/presupuestos_detalle_rec/DESCUENTO)" />
					<xsl:if test="$sum > 0">
						<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
							<fo:block text-align="end">						   					
								<xsl:apply-templates select="DESCUENTO"/>%
							</fo:block>
   					</fo:table-cell>
					</xsl:if>
					
   				<!--<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UIDIVA"/>
					</fo:block>
   				</fo:table-cell>-->
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALCONCEPTOIVA"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCONCEPTOIVA, '#.###,00', 'euro')"/>		   					
					</fo:block>
   				</fo:table-cell>
    			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<xsl:template match="totalPresupuesto_rec">
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<!--<fo:table-column column-width="36mm"/>-->
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>-->
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>Base Imponible</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>CUOTA IVA</fo:inline> 
   					</fo:block>										
   				</fo:table-cell>	
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>Total Factura</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
   		</fo:table-row>
   		
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="SUMA"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>-->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/factura/baseimponiblePresupuesto/baseimponiblePresupuesto_rec/BASEIMPONIBLE"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(/factura/baseimponiblePresupuesto/baseimponiblePresupuesto_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						<xsl:apply-templates select="/factura/presupuestos_detalle/presupuestos_detalle_rec[1]/UIDIVA"/>
					</fo:block>
   				</fo:table-cell>				
   				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				

   				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="TOTAL"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>
    		</fo:table-row>
    		
 		</fo:table-body>
 	</fo:table>
</xsl:template>



<xsl:template match="partesTrabajo_detalle_rec">
<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   			<xsl:if test="$uidOperador = '******'">
   				
<!--	<xsl:if test="not(NUMERODOCUMENTO = preceding::partesTrabajo_detalle_rec/NUMERODOCUMENTO)">
      <fo:block text-align="start" font-weight="bold">
      	<fo:inline>Parte Trabajo Nº </fo:inline>
			<xsl:apply-templates select="NUMERODOCUMENTO"/>
		</fo:block>
   </xsl:if> -->
	
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="20mm"/>
 		<fo:table-column column-width="80mm"/>
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="15mm"/>
 			<fo:table-column column-width="25mm"/>
 		</xsl:if>
		<xsl:if test="$sum = 0">
			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="40mm"/>
		</xsl:if>
  			
  		<fo:table-body start-indent="2pt"
  			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
  			<fo:table-row>  	
  			   	<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   				</fo:table-cell>		 			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	
					<fo:block text-align="start">						   					
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>						   					
					</fo:block>
   				</fo:table-cell>
   				
   				<!-- Descuento solo si hay Descuentos VALIDOS	-->
   				<xsl:variable name="sum" select="sum(/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec/DESCUENTO)" />
					<xsl:if test="$sum > 0">
						<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
							<fo:block text-align="end">						   					
								<xsl:apply-templates select="DESCUENTO"/>%
							</fo:block>
   					</fo:table-cell>
					</xsl:if>
					
   				<!--<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UIDIVA"/>
					</fo:block>
   				</fo:table-cell>-->
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALCONCEPTOIVA"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCONCEPTOIVA, '#.###,00', 'euro')"/>		   					
					</fo:block>
   				</fo:table-cell>
    			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
 	</xsl:if>
</xsl:template>

<xsl:template match="totalParte_rec">
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<!--<fo:table-column column-width="36mm"/>-->
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  			<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   			<xsl:if test="$uidOperador = '******'">
  				<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>-->
  			</xsl:if>
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>Base Imponible</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>CUOTA IVA</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>Total Factura</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>   			
   		</fo:table-row>
   		
   		<!-- TOTALES SI ES DE PARTE NORMAL -->
   		<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   			<xsl:if test="$uidOperador = '******'">
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
					<xsl:variable name="base" select="SUMA"/>
					<xsl:if test="not(string-length($base) > 0)">
						0,00 €
					</xsl:if>
					<xsl:if test="string-length($base) > 0">
						<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
					</xsl:if>
				</fo:block>
			</fo:table-cell>-->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
				 	<xsl:variable name="base" select="/factura/baseimponibleParte/baseimponibleParte_rec/BASEIMPONIBLE"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/factura/baseimponibleParte/baseimponibleParte_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
				</fo:block>
			</fo:table-cell>	
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">						   					
						<xsl:apply-templates select="/factura/partesTrabajo_detalle/partesTrabajo_detalle_rec[1]/UIDIVA"/>
					</fo:block>
   				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="TOTAL"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>
    		</fo:table-row>
    		</xsl:if>
   		<!-- TOTALES SI ES DE PARTE DE PROMOCION (OPERADOR) -->
   		<xsl:variable name="uidOperador" select="/factura/informeOperador/informeOperador_rec/UIDOPERADOR"/>	
   			<xsl:if test="$uidOperador != '******'">
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
					<xsl:variable name="base" select="SUMA"/>
					<xsl:if test="not(string-length($base) > 0)">
						0,00 €
					</xsl:if>
					<xsl:if test="string-length($base) > 0">
						<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
					</xsl:if>
				</fo:block>
			</fo:table-cell>-->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
				 	<xsl:variable name="base" select="/factura/informe/informe_rec/BASEIMPONIBLE"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/factura/informe/informe_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
				</fo:block>
			</fo:table-cell>	
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/factura/informe/informe_rec/IVA"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:value-of select="/factura/informe/informe_rec/IVA"/> 
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/factura/informe/informe_rec/TOTAL"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(/factura/informe/informe_rec/TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>
    		</fo:table-row>
    		</xsl:if>




 		</fo:table-body>
 	</fo:table>
</xsl:template>

<xsl:template match="intervenciones_detalle_rec">

<!--	<xsl:if test="not(NUMERODOCUMENTO = preceding::intervenciones_detalle_rec/NUMERODOCUMENTO)">
      <fo:block text-align="start" font-weight="bold">
      	<fo:inline>Intervención Nº </fo:inline>
			<xsl:apply-templates select="NUMERODOCUMENTO"/>
		</fo:block>
   </xsl:if> -->
	
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="20mm"/>
 		<fo:table-column column-width="80mm"/>
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/factura/intervenciones_detalle/intervenciones_detalle_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="15mm"/>
 			<fo:table-column column-width="25mm"/>
 		</xsl:if>
		<xsl:if test="$sum = 0">
			<!--<fo:table-column column-width="15mm"/>-->
			<fo:table-column column-width="40mm"/>
		</xsl:if>
  			
  		<fo:table-body start-indent="2pt"
  			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
  			<fo:table-row>  		
  			   	<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   				</fo:table-cell>	 			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	
					<fo:block text-align="start">						   					
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>
					</fo:block>
   				</fo:table-cell>
   				
   				<!-- Descuento solo si hay Descuentos VALIDOS	-->
   				<xsl:variable name="sum" select="sum(/factura/intervenciones_detalle/intervenciones_detalle_rec/DESCUENTO)" />
					<xsl:if test="$sum > 0">
						<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
							<fo:block text-align="end">						   					
								<xsl:apply-templates select="DESCUENTO"/>%
							</fo:block>
   					</fo:table-cell>
					</xsl:if>
					
   				<!--<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">						   					
						<xsl:apply-templates select="UIDIVA"/>
					</fo:block>
   				</fo:table-cell>-->
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALCONCEPTOIVA"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCONCEPTOIVA, '#.###,00', 'euro')"/>		   					
					</fo:block>
   				</fo:table-cell>
    			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<xsl:template match="totalIntervencion_rec">
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<!--<fo:table-column column-width="36mm"/>-->
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>-->
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>BASE IMPONIBLE</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>TIPO IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>CUOTA IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
								
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>TOTAL</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
   		</fo:table-row>
   		
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="SUMA"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>-->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="baseEnTablaFactura" select="/factura/informe/informe_rec/BASEIMPONIBLE"/>
						<xsl:variable name="base" select="/factura/baseimponibleIntervencion/baseimponibleIntervencion_rec/BASEIMPONIBLE"/>
						<xsl:if test="$baseEnTablaFactura > 0">
							<xsl:value-of select="format-number(/factura/informe/informe_rec/BASEIMPONIBLE,'#.###,00','euro')"/> €							
						</xsl:if>
						<xsl:if test="not($baseEnTablaFactura > 0)">
							<xsl:if test="not(string-length($base) > 0)">
								0,00 €
							</xsl:if>
							<xsl:if test="string-length($base) > 0">
								<xsl:if test="$base > 0">
									<xsl:if test="not($base > 1)">
 										<fo:inline>0</fo:inline>
									</xsl:if>
									<xsl:value-of select="format-number(/factura/baseimponibleIntervencion/baseimponibleIntervencion_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
								</xsl:if>
								<xsl:if test="$base = 0">
									0,00 €
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<!-- TIPO IVA -->	
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:variable name="baseEnTablaFactura" select="/factura/informe/informe_rec/BASEIMPONIBLE"/>
						<xsl:if test="$baseEnTablaFactura > 0">
							<xsl:value-of select="/factura/informe/informe_rec/IVA"/> 							
						</xsl:if>
						<xsl:if test="not($baseEnTablaFactura > 0)">
							<xsl:if test="not(string-length($base) > 0)">
								<fo:inline>0%</fo:inline>
								<!--0,00 €-->
							</xsl:if>
							<xsl:if test="string-length($base) > 0">
								<xsl:if test="$base > 0">
									<xsl:if test="not($base > 1)">
	 									<fo:inline>0</fo:inline>
									</xsl:if>
									<xsl:variable name="base2" select="/factura/baseimponibleIntervencion/baseimponibleIntervencion_rec/BASEIMPONIBLE"/>
									<xsl:variable name="iva2" select="IVA"/>
									<xsl:value-of select="round(($iva2*100) div $base2)"/>%
									<!--<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €-->
								</xsl:if>
								<xsl:if test="$base = 0">
									<fo:inline>0%</fo:inline>
									<!--0,00 €-->
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				
				<!-- CUOTA IVA -->
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:variable name="baseEnTablaFactura" select="/factura/informe/informe_rec/BASEIMPONIBLE"/>
						<xsl:if test="$baseEnTablaFactura > 0">
							<xsl:variable name="iva2" select="substring-before(/factura/informe/informe_rec/IVA, '%')"/>
							<xsl:if test="$iva2 > 0">
								<xsl:value-of select="round(($iva2 * $baseEnTablaFactura) div 100)"/> €							
							</xsl:if>
							<xsl:if test="$iva2 = 0">
								0,00 €
							</xsl:if>								
						</xsl:if>
						<xsl:if test="not($baseEnTablaFactura > 0)">
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
									0,00 €
 									<!-- <fo:inline>0</fo:inline>-->
 									
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
								
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/factura/informe/informe_rec/TOTAL"/>
						<xsl:if test="not(string-length($base) > 0)">
							0,00 €
						</xsl:if>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(/factura/informe/informe_rec/TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								0,00 €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>
    		</fo:table-row>
    		
 		</fo:table-body>
 	</fo:table>
</xsl:template>



<xsl:template match="totalContrato_rec">
<!--<xsl:if test="not(NUMERODOCUMENTO = preceding::totalContrato_rec/NUMEROCONTRATO)">
      <fo:block text-align="start" font-weight="bold">
      	<fo:inline>Contrato de Mantenimiento: </fo:inline>
		<xsl:apply-templates select="NUMEROCONTRATO"/>
	</fo:block>
   	</xsl:if> -->
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  			<!--		<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>-->
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>BASE IMPONIBLE</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>TOTAL</fo:inline> 
   					</fo:block>										
   				</fo:table-cell>
   		</fo:table-row>
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="baseEnTablaFactura" select="/factura/informe/informe_rec/BASEIMPONIBLE"/>
						<xsl:variable name="base" select="/factura/baseimponibleIntervencion/baseimponibleIntervencion_rec/BASEIMPONIBLE"/>
						<xsl:if test="$baseEnTablaFactura > 0">
							<xsl:value-of select="format-number(/factura/informe/informe_rec/BASEIMPONIBLE,'#.###,00','euro')"/> €							
						</xsl:if>
						<xsl:if test="not($baseEnTablaFactura > 0)">
							<xsl:if test="not(string-length($base) > 0)">
								0,00 €
							</xsl:if>
							<xsl:if test="string-length($base) > 0">
								<xsl:if test="$base > 0">
									<xsl:if test="not($base > 1)">
 										<fo:inline>0</fo:inline>
									</xsl:if>
									<xsl:value-of select="format-number(/factura/baseimponibleIntervencion/baseimponibleIntervencion_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
								</xsl:if>
								<xsl:if test="$base = 0">
									0,00 €
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>	-->
				

				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/BASEIMPONIBLE"/> €
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/IVA"/> 	
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/TOTAL"/> €
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>


<!-- Es exactamente lo mismo que en contrato, pero hay que repetirlo por alguna jodida extraña razon -->
<xsl:template match="totalFacturaRectificativa_rec">
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/> 
 		
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>Base Imponible</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>Total Factura</fo:inline> 
   					</fo:block>										
   				</fo:table-cell>
   		</fo:table-row>
   		<fo:table-row>
			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
				<fo:block text-align="center" start-indent="2pt">
					<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/BASEIMPONIBLE"/> €
				</fo:block>
			</fo:table-cell>
			
			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
				<fo:block text-align="center" start-indent="2pt">
					<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/IVA"/> 	
				</fo:block>
			</fo:table-cell>
			
			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
				<fo:block text-align="center" start-indent="2pt">
					<xsl:value-of select="/factura/totalesContrato/totalesContrato_rec/TOTAL"/> €
				</fo:block>
			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>



</xsl:stylesheet>
